Package com.independentsoft.graph.mails

# Class MessageRulePredicatesPropertyName

java.lang.Object
com.independentsoft.graph.mails.MessageRulePredicatesPropertyName

public class MessageRulePredicatesPropertyName extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static String`
  `BODY_CONTAINS`
  `static String`
  `BODY_OR_SUBJECT_CONTAINS`
  `static String`
  `CATEGORIES`
  `static String`
  `FROM_ADDRESSES`
  `static String`
  `HAS_ATTACHMENTS`
  `static String`
  `HEADER_CONTAINS`
  `static String`
  `IMPORTANCE`
  `static String`
  `IS_APPROVAL_REQUEST`
  `static String`
  `IS_AUTOMATIC_FORWARD`
  `static String`
  `IS_AUTOMATIC_REPLY`
  `static String`
  `IS_ENCRYPTED`
  `static String`
  `IS_MEETING_REQUEST`
  `static String`
  `IS_MEETING_RESPONSE`
  `static String`
  `IS_NON_DELIVERY_REPORT`
  `static String`
  `IS_PERMISSION_CONTROLLED`
  `static String`
  `IS_READ_RECEIPT`
  `static String`
  `IS_SIGNED`
  `static String`
  `IS_VOICEMAIL`
  `static String`
  `MESSAGE_ACCTION_FLAG`
  `static String`
  `NOT_SENT_TO_ME`
  `static String`
  `RECIPIENT_CONTAINS`
  `static String`
  `SENDER_CONTAINS`
  `static String`
  `SENSITIVITY`
  `static String`
  `SENT_CC_ME`
  `static String`
  `SENT_ONLY_TO_ME`
  `static String`
  `SENT_TO_ADDRESSES`
  `static String`
  `SENT_TO_ME`
  `static String`
  `SENT_TO_OR_CC_ME`
  `static String`
  `SUBJECT_CONTAINS`
  `static String`
  `WITHIN_SIZE_RANGE`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### BODY_CONTAINS

    public static final String BODY_CONTAINS
    See Also:
      Constant Field Values

  - ### BODY_OR_SUBJECT_CONTAINS

    public static final String BODY_OR_SUBJECT_CONTAINS
    See Also:
      Constant Field Values

  - ### CATEGORIES

    public static final String CATEGORIES
    See Also:
      Constant Field Values

  - ### FROM_ADDRESSES

    public static final String FROM_ADDRESSES
    See Also:
      Constant Field Values

  - ### HAS_ATTACHMENTS

    public static final String HAS_ATTACHMENTS
    See Also:
      Constant Field Values

  - ### HEADER_CONTAINS

    public static final String HEADER_CONTAINS
    See Also:
      Constant Field Values

  - ### IMPORTANCE

    public static final String IMPORTANCE
    See Also:
      Constant Field Values

  - ### IS_APPROVAL_REQUEST

    public static final String IS_APPROVAL_REQUEST
    See Also:
      Constant Field Values

  - ### IS_AUTOMATIC_FORWARD

    public static final String IS_AUTOMATIC_FORWARD
    See Also:
      Constant Field Values

  - ### IS_AUTOMATIC_REPLY

    public static final String IS_AUTOMATIC_REPLY
    See Also:
      Constant Field Values

  - ### IS_ENCRYPTED

    public static final String IS_ENCRYPTED
    See Also:
      Constant Field Values

  - ### IS_MEETING_REQUEST

    public static final String IS_MEETING_REQUEST
    See Also:
      Constant Field Values

  - ### IS_MEETING_RESPONSE

    public static final String IS_MEETING_RESPONSE
    See Also:
      Constant Field Values

  - ### IS_NON_DELIVERY_REPORT

    public static final String IS_NON_DELIVERY_REPORT
    See Also:
      Constant Field Values

  - ### IS_PERMISSION_CONTROLLED

    public static final String IS_PERMISSION_CONTROLLED
    See Also:
      Constant Field Values

  - ### IS_READ_RECEIPT

    public static final String IS_READ_RECEIPT
    See Also:
      Constant Field Values

  - ### IS_SIGNED

    public static final String IS_SIGNED
    See Also:
      Constant Field Values

  - ### IS_VOICEMAIL

    public static final String IS_VOICEMAIL
    See Also:
      Constant Field Values

  - ### MESSAGE_ACCTION_FLAG

    public static final String MESSAGE_ACCTION_FLAG
    See Also:
      Constant Field Values

  - ### NOT_SENT_TO_ME

    public static final String NOT_SENT_TO_ME
    See Also:
      Constant Field Values

  - ### RECIPIENT_CONTAINS

    public static final String RECIPIENT_CONTAINS
    See Also:
      Constant Field Values

  - ### SENDER_CONTAINS

    public static final String SENDER_CONTAINS
    See Also:
      Constant Field Values

  - ### SENSITIVITY

    public static final String SENSITIVITY
    See Also:
      Constant Field Values

  - ### SENT_CC_ME

    public static final String SENT_CC_ME
    See Also:
      Constant Field Values

  - ### SENT_ONLY_TO_ME

    public static final String SENT_ONLY_TO_ME
    See Also:
      Constant Field Values

  - ### SENT_TO_ADDRESSES

    public static final String SENT_TO_ADDRESSES
    See Also:
      Constant Field Values

  - ### SENT_TO_ME

    public static final String SENT_TO_ME
    See Also:
      Constant Field Values

  - ### SENT_TO_OR_CC_ME

    public static final String SENT_TO_OR_CC_ME
    See Also:
      Constant Field Values

  - ### SUBJECT_CONTAINS

    public static final String SUBJECT_CONTAINS
    See Also:
      Constant Field Values

  - ### WITHIN_SIZE_RANGE

    public static final String WITHIN_SIZE_RANGE
    See Also:
      Constant Field Values